Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.servlet.handler
Class WebRequestHandlerInterceptorAdapter

    java.lang.Object
      org.springframework.web.servlet.handler.WebRequestHandlerInterceptorAdapter

All Implemented Interfaces:
  HandlerInterceptor

    public class WebRequestHandlerInterceptorAdapter

extends Object
implements HandlerInterceptor

Adapter that implements the Servlet HandlerInterceptor interface and wraps an underlying WebRequestInterceptor.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `WebRequestInterceptor`, `HandlerInterceptor`

Constructor Summary
`WebRequestHandlerInterceptorAdapter(WebRequestInterceptor requestInterceptor)` Create a new WebRequestHandlerInterceptorAdapter for the given WebRequestInterceptor.

Method Summary
`void` | `afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)` Callback after completion of request processing, that is, after rendering the view.
`void` | `postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView)` Intercept the execution of a handler.
`boolean` | `preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)` Intercept the execution of a handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebRequestHandlerInterceptorAdapter

    public WebRequestHandlerInterceptorAdapter(WebRequestInterceptor requestInterceptor)

  Create a new WebRequestHandlerInterceptorAdapter for the given WebRequestInterceptor.

  Parameters:
    `requestInterceptor` - the WebRequestInterceptor to wrap

Method Detail

### preHandle

    public boolean preHandle(HttpServletRequest request,
                             HttpServletResponse response,
                             Object handler)
                      throws Exception

  Description copied from interface: `HandlerInterceptor`
  Intercept the execution of a handler. Called after HandlerMapping determined an appropriate handler object, but before HandlerAdapter invokes the handler.

  DispatcherServlet processes a handler in an execution chain, consisting of any number of interceptors, with the handler itself at the end. With this method, each interceptor can decide to abort the execution chain, typically sending a HTTP error or writing a custom response.

  Specified by:
    `preHandle` in interface `HandlerInterceptor`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - chosen handler to execute, for type and/or instance evaluation
  Returns:
    `true` if the execution chain should proceed with the next interceptor or the handler itself. Else, DispatcherServlet assumes that this interceptor has already dealt with the response itself.
  Throws:
    `Exception` - in case of errors

### postHandle

    public void postHandle(HttpServletRequest request,
                           HttpServletResponse response,
                           Object handler,
                           ModelAndView modelAndView)
                    throws Exception

  Description copied from interface: `HandlerInterceptor`
  Intercept the execution of a handler. Called after HandlerAdapter actually invoked the handler, but before the DispatcherServlet renders the view. Can expose additional model objects to the view via the given ModelAndView.

  DispatcherServlet processes a handler in an execution chain, consisting of any number of interceptors, with the handler itself at the end. With this method, each interceptor can post-process an execution, getting applied in inverse order of the execution chain.

  Specified by:
    `postHandle` in interface `HandlerInterceptor`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - chosen handler to execute, for type and/or instance examination
    `modelAndView` - the `ModelAndView` that the handler returned (can also be `null`)
  Throws:
    `Exception` - in case of errors

### afterCompletion

    public void afterCompletion(HttpServletRequest request,
                                HttpServletResponse response,
                                Object handler,
                                Exception ex)
                         throws Exception

  Description copied from interface: `HandlerInterceptor`
  Callback after completion of request processing, that is, after rendering the view. Will be called on any outcome of handler execution, thus allows for proper resource cleanup.

  Note: Will only be called if this interceptor's `preHandle` method has successfully completed and returned `true`!

  As with the `postHandle` method, the method will be invoked on each interceptor in the chain in reverse order, so the first interceptor will be the last to be invoked.

  Specified by:
    `afterCompletion` in interface `HandlerInterceptor`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
    `handler` - chosen handler to execute, for type and/or instance examination
    `ex` - exception thrown on handler execution, if any
  Throws:
    `Exception` - in case of errors

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD